Subject: Re: [Disman] Event MIB object handling

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 6 Jun 2005 19:43:11 -0700

Hi -

Here's another event MIB question that still needs to be addressed.
Comments?

Randy

> From: "Dave Shield" <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, March 03, 2005 9:08 AM
> Subject: [Disman] Event MIB object handling
>
> I've got another question relating to the Event-MIB, in particular
> the handling of the objects to be added to a notification payload.
>
> Should the objects listed in the mteObjectsTable cover *all*
> the varbinds for a particular notification, or just the "extra"
> ones not included in the NOTIFICATION-TYPE definition (with those
> being inserted automatically) ?
>
> I've been assuming that this table should list everything
> (since the agent might not have access to the MIB definition).
> In which case I'm a little puzzled about the order in which
> the three mte{Trigger,TriggerXxx,EventNotification}Objects
> tags are applied.
>
> Naively, I'd expect that the mandatory notification objects
> would be closely linked with the notification itself, and hence
> be specified via the mteEventNotificationObjects tag, with the
> two trigger tags being used to add extra non-standard varbinds.
> Which would imply that the mteENObjects tag would have to be
> applied first.  And there's a note in the archives from Mike
> Daniele (<[email-masked]> dated 02 Dec 1998)
> commenting on draft #05 which seems to suggest the same thing.
>
>   But draft #06 introduces text in the mteObjectsIndex
> description which says:
>
>    Groups are placed in the notification in the order of the
>    selections for overall trigger, trigger test, and event.
>
> and this seems to have remained the same through into RFC
> 2981 and the latest IDraft.  But I wasn't able to find an
> explanation of why this particular order was used, or any
> further discussion of this.
>
> Am I missing something obvious?
>
> Dave
>
>